Package org.apache.storm.perf.bolt

## Class CountBolt

- java.lang.Object
- - org.apache.storm.topology.base.BaseComponent
  - - org.apache.storm.topology.base.BaseBasicBolt
    - - org.apache.storm.perf.bolt.CountBolt

- All Implemented Interfaces:
    `Serializable`, `IBasicBolt`, `IComponent`

      public class CountBolt
      extends BaseBasicBolt

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `FIELDS_COUNT` |
    `static String` | `FIELDS_WORD` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CountBolt()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `declareOutputFields​(OutputFieldsDeclarer declarer)` | Declare the output schema for all the streams of this topology.
    `void` | `execute​(Tuple tuple, BasicOutputCollector collector)` | Process the input tuple and optionally emit new tuples based on the input tuple.
    `void` | `prepare​(Map<String,​Object> topoConf, TopologyContext context)` |

    - ### Methods inherited from class org.apache.storm.topology.base.BaseBasicBolt

      `cleanup`

    - ### Methods inherited from class org.apache.storm.topology.base.BaseComponent

      `getComponentConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.topology.IComponent

      `getComponentConfiguration`

- - ### Field Detail

    - #### FIELDS_WORD

          public static final String FIELDS_WORD

      See Also:
        Constant Field Values

    - #### FIELDS_COUNT

          public static final String FIELDS_COUNT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CountBolt

          public CountBolt()

  - ### Method Detail

    - #### prepare

          public void prepare​(Map<String,​Object> topoConf,
                              TopologyContext context)

      Specified by:
        `prepare` in interface `IBasicBolt`
      Overrides:
        `prepare` in class `BaseBasicBolt`

    - #### execute

          public void execute​(Tuple tuple,
                              BasicOutputCollector collector)

      Description copied from interface: `IBasicBolt`
      Process the input tuple and optionally emit new tuples based on the input tuple.

      All acking is managed for you. Throw a FailedException if you want to fail the tuple.

    - #### declareOutputFields

          public void declareOutputFields​(OutputFieldsDeclarer declarer)

      Description copied from interface: `IComponent`
      Declare the output schema for all the streams of this topology.
      Parameters:
        `declarer` - this is used to declare output stream ids, output fields, and whether or not each output stream is a direct stream